
uniform sampler2D texture;
uniform int need_swap;

varying mediump vec2 Frag_UV;
varying mediump vec4 Frag_Color;

void main()
{
	mediump vec3 color = texture2D(texture, Frag_UV).rgb;
	gl_FragColor = vec4(pow(color, vec3(2.2/3.0)) * 2.0, 1.0);
}
